# FoundationClasses
TKernel
TCollection

# TCollection_PrivCompareOfInteger Class Reference

`#include <TCollection_PrivCompareOfInteger.hxx>`

Inheritance diagram for TCollection_PrivCompareOfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Boolean | IsLower (const Standard_Integer &Left, const Standard_Integer &Right) const
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Standard_Integer &Left, const Standard_Integer &Right) const
virtual Standard_EXPORT Standard_Boolean | IsEqual (const Standard_Integer &Left, const Standard_Integer &Right) const

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean TCollection_PrivCompareOfInteger::IsEqual | ( | const Standard_Integer & | Left,
|  | const Standard_Integer & | Right
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean TCollection_PrivCompareOfInteger::IsGreater | ( | const Standard_Integer & | Left,
|  | const Standard_Integer & | Right
| ) | const`[virtual]`

| Reimplemented in TCollection_CompareOfInteger.

virtual Standard_EXPORT Standard_Boolean TCollection_PrivCompareOfInteger::IsLower | ( | const Standard_Integer & | Left,
|  | const Standard_Integer & | Right
| ) | const`[virtual]`

| Reimplemented in TCollection_CompareOfInteger.

void TCollection_PrivCompareOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in TCollection_CompareOfInteger.

void* TCollection_PrivCompareOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in TCollection_CompareOfInteger.

void* TCollection_PrivCompareOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in TCollection_CompareOfInteger.

The documentation for this class was generated from the following file:

- TCollection_PrivCompareOfInteger.hxx